Constants (Apache Tomcat 9.0.69 API Documentation)

Package org.apache.tomcat.websocket.server

## Class Constants

- java.lang.Object
- - org.apache.tomcat.websocket.server.Constants

-     public class Constants
      extends java.lang.Object

  Internal implementation constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `BINARY_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM` |
    `static java.lang.String` | `ENFORCE_NO_ADD_AFTER_HANDSHAKE_CONTEXT_INIT_PARAM` | Deprecated. This is no longer required in Jakarta EE 10 onwards and will be removed in Tomcat 10.1.
    `static java.lang.String` | `SERVER_CONTAINER_SERVLET_CONTEXT_ATTRIBUTE` |
    `static java.lang.String` | `TEXT_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BINARY_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM

          public static final java.lang.String BINARY_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM

      See Also:
        Constant Field Values

    - #### TEXT_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM

          public static final java.lang.String TEXT_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM

      See Also:
        Constant Field Values

    - #### ENFORCE_NO_ADD_AFTER_HANDSHAKE_CONTEXT_INIT_PARAM

          @Deprecated
          public static final java.lang.String ENFORCE_NO_ADD_AFTER_HANDSHAKE_CONTEXT_INIT_PARAM

      Deprecated.
      This is no longer required in Jakarta EE 10 onwards and will be removed in Tomcat 10.1.
      Allows the deployment restriction defined in section 6.4 of the Jakarta WebSocket specification to be ignored.
      See Also:
        Constant Field Values

    - #### SERVER_CONTAINER_SERVLET_CONTEXT_ATTRIBUTE

          public static final java.lang.String SERVER_CONTAINER_SERVLET_CONTEXT_ATTRIBUTE

      See Also:
        Constant Field Values